Subject: bug#31231: Symbol search broken in NEWS and ChangeLogs

From: Juri Linkov <[email-masked]>
Date: Tue, 24 Apr 2018 22:16:16 +0300

>> >> But how these text terminals display Unicode quotes in Info manuals?
>> >
>> > Info manuals are displayed by an Info reader, and each Info reader has
>> > its own solution for this problem (generally, substitution of ASCII
>> > characters for undisplayable Unicode ones).
>> 
>> Does the Emacs Info reader implement such solution?
>
> Emacs itself does, not just in Info.  The standalone Info reader (part
> of the Texinfo package) has a slightly different solution.

Then using the same solution as not just for Info, Emacs will automatically
substitute ASCII characters for undisplayable Unicode ones in all
other places like NEWS and ChangeLogs.

>> Every symbol in NEWS quoted by either ‘straight’ quoting style 'like this',
>> or ‘grave’ `like this'.  For example, for 'electric-quote-replace-double'
>> starting Isearch with ‘M-s .’, and repeating the same symbol search in the
>> source code.
>
> I'm asking what us the problem not to use "M-s ." in those cases, and
> instead to look for the symbol as a literal string.  I think in a file
> like NEWS this shouldn't yield too many false hits.
>
> Ah, I see I've misunderstood.  You originally talked about "M-s _", not about
> "M-s .".
>
> Is "M-s ." the main/only problem?

Not only ‘M-s .’, more so ‘M-s _’ where neither ‘M-s _ C-M-y’
nor ‘M-s _ C-M-w’ work when used at the beginning of the symbol.

It's a good habit to use symbol search to search symbols because
it reduces the likelihood of errors, so using it should be
encouraged in NEWS and ChangeLogs.